Scanner API Reference
| Field | Value |
|---|---|
| Source spec | scanner/openapi/reachability-drift.v1.json |
| OpenAPI version | 3.1.1 |
| API version | 1.0.0 |
| Operations | 2 |
| Path filter | All paths |
Operations
GET /api/v1/drift/{driftId}/sinks
| Property | Value |
|---|---|
| Operation ID | scanner.drift.sinks |
| Tags | ReachabilityDrift |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
driftId | path | yes | |
direction | query | no | |
limit | query | no | |
offset | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | - |
404 | Not Found | - |
GET /api/v1/scans/{scanId}/drift
| Property | Value |
|---|---|
| Operation ID | scanner.scans.reachability-drift |
| Tags | ReachabilityDrift |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
scanId | path | yes | |
baseScanId | query | no | |
includeFullPath | query | no | |
language | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | - |
404 | Not Found | - |
